#!/bin/sh
cd ~/src/mhgames/customerservicebot
NAME=customer-service-robot
svn cleanup "${NAME}"
svn cleanup "${NAME}"/motherhamster
svn update "${NAME}"
svn update "${NAME}"/motherhamster

REV=`svn info "${NAME}" "${NAME}"/motherhamster | grep "^Last Changed Rev:"`
LASTREV=`cat lastrev-source.txt`
if [ "${REV}" = "${LASTREV}" ] ; then
  echo "No changes, no need to upload"
  exit
fi

find "${NAME}" -name ".svn" -or -name "motherhamster" > exclude.tmp
tar -zcvf "${NAME}"-src.tar.gz "${NAME}"/ -X exclude.tmp 
find "${NAME}" -name ".svn" > exclude.tmp
tar -zcvf "${NAME}"-src+motherhamster.tar.gz "${NAME}"/ -X exclude.tmp 
rm exclude.tmp
scp -p "${NAME}"-src*.tar.gz james_paige@motherhamster.org:motherhamster.org/downloads/robot/

echo "${REV}" > lastrev-source.txt
