"""
A class making selecting the correct version of wxpython (if it is appropriate to do so)
(C) Copyright 2006 Hamster Republic Productions
"""
########################################################################
import sys

def _SelectBestCompatible():
    if not hasattr(sys, 'frozen'):
        wxversion.ensureMinimal("2.6")
        if wxversion._selected.version[0] == 2 and wxversion._selected.version[1] == 6:
            import wx
            assert(wx.VERSION[0] == 2 and wx.VERSION[1] == 6 and wx.VERSION[2] >= 3)

try:
    import wxversion
    _SelectBestCompatible()
except ImportError:
    pass
    
if __name__ == "__main__":
    import wxversion
    print "installed wx versions:",wxversion.getInstalled()
    print "selected wx version:",wxversion._selected.version,wxversion._selected.options
    import wx
    print "imported wx version:",wx.VERSION

