#!/bin/sh
cd ~/src/mhgames/customerservicebot
svn cleanup
svn update
REV=`svn info | grep "^Last Changed Rev:"`
LASTREV=`cat lastrev-mac.txt`
if [ "${REV}" = "${LASTREV}" ] ; then
  echo "No changes, no need to upload"
  exit
fi
python setup.py && \
scp -p dist/customer-service-robot.dmg james_paige@motherhamster.org:motherhamster.org/downloads/robot/ && \
echo "${REV}" > lastrev-mac.txt
